﻿#blogPost-slider img {
    max-width: 100%;
    margin-bottom: 0.5rem;
}

#blogPost-slider .blog-title {
    color: #D0232B;
    text-transform: uppercase;
    font-weight: 600;
}

#blogPost-slider .created-on {
    color: #808080;
    font-size: 12px;
}

#blogPost-slider .header-text {
    font-size: 16px;
    font-weight: 500;
    line-height: 17px;
    margin: 0.5rem 0rem 1rem 0rem;
}

#blogPost-slider .description {
    font-size: 14px;
    line-height: 15px;
}

#blogPost-slider {
    min-height: 320px;
    overflow: visible;
}

    #blogPost-slider li {
        max-height: 100%;
        overflow: hidden;
    }

        #blogPost-slider li .gradient {
            position: absolute;
            bottom: 0px;
            left: 0px;
            right: 0px;
            height: 35px;
            background: linear-gradient(transparent, rgba(255,255,255,0.9));
        }

        #blogPost-slider li:hover {
            max-height: fit-content;
            height: fit-content;
            overflow: visible;
        }

        #blogPost-slider li .blogPost-text {
            z-index: 0;
            background-color: white;
        }

        #blogPost-slider li:hover .blogPost-text {
            z-index: 10;
            position: absolute;
            top: 0;
            bottom: 0;
            right: 0;
            left: 0;
            padding-right: 15px;
            padding-left: 15px;
            background-color: white;
        }

#blog-slider-wrapper .lSSlideOuter {
    overflow: visible;
}

#blog-slider-wrapper .lSSlideWrapper {
    overflow: visible;
}

#blogPost-grid .link-wrapper {
    width: 100%;
    height: 100%;
    display: flex;
    padding: 10px;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    color: black;
    text-decoration: none;
    box-shadow: 0px 0px 10px rgba(0,0,0,0.7);
    cursor: pointer;
}

    #blogPost-grid .link-wrapper:hover {
        background-color: rgba(0,0,0,0.1);
    }

/*give blog post max width - 900px */
#blog-post {
    max-width: 1400px;
    width: 100%;
}

    #blog-post .post-container {
        max-width: 900px;
        width: 100%;
        margin: 0px auto;
    }

    #blog-post .breadcrumbs {
        color: #7c7c7b;
        font-size: 13px;
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        align-items: flex-start;
    }

    #blog-post .breadcrumb-item {
        color: #7c7c7b;
        margin: 0 5px;
    }

    #blog-post .back-btn {
        padding: 0.5rem;
        padding-left: 0;
        font-size: 16px;
        color: black;
        text-decoration: none;
        border-radius: 5px;
        border: 1px solid transparent;
        display: flex;
        flex-direction: row;
        max-width: fit-content;
        gap: 5px;
        justify-content: flex-start;
        align-items: center;
    }

        #blog-post .back-btn:hover {
            border-color: black;
        }

        #blog-post .back-btn img {
            max-height: 21px;
        }

    #blog-post .header {
        font-size: 24px;
    }

    #blog-post .date-time {
        font-size: 12px;
    }

    #blog-post .blog-row img {
        max-width: 100%;
    }
